VERSION 5.00
Object = "{5A65A9C0-089F-11D2-88AD-0000B45C4CF6}#1.2#0"; "EASYX.OCX"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin PROJECTEXLibCtl.EasyX EasyX1 
      Left            =   960
      OleObjectBlob   =   "Form1.frx":014A
      Top             =   120
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Const ScreenWidth As Long = 800
Const ScreenHeight As Long = 600
Const HalfScreenHeight As Long = 300
Const HalfScreenWidth As Long = 400

Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

Private Sub Form_Load()
Dim rt As Long

EasyX1.Window = Me.hWnd

rt = EasyX1.InitDirectDraw(ScreenWidth, ScreenHeight, 8)

If rt <> EX_OK Then
    MsgBox "EasyX could not initialize DirectDraw"
    Exit Sub
End If
    
'Create the keyboard and acquire it
EasyX1.InitDirectInput
EasyX1.CreateKeyboard
EasyX1.AcquireKeyboard

RunMain
End Sub

Private Sub RunMain()

Dim X As Long, Y As Long
Dim YMinus As Boolean
Dim XMinus As Boolean
Dim X2 As Long, Y2 As Long


Do
    
    
    X2 = X2 + 1
    Y2 = Y2 + 1
    
    If YMinus Then
        Y = Y - 2
    Else
        Y = Y + 2
    End If
    
    If XMinus Then
        X = X - 1
    Else
        X = X + 1
    End If
        
        
        
    EasyX1.AcquireKeyboard
    If EasyX1.GetKeyState(EX_ESCAPE) = EX_KEYDOWN Then
        EasyX1.EndDirectX
        Exit Do
    End If
    
    EasyX1.FillSurface 0, EX_PRIMARYSURFACE
        
    EasyX1.DrawLine X2, HalfScreenHeight - Y, X2, HalfScreenHeight + Y, 150, EX_PRIMARYSURFACE
    EasyX1.DrawLine -X2 + ScreenWidth, HalfScreenHeight - Y, -X2 + ScreenWidth, HalfScreenHeight + Y, 150, EX_PRIMARYSURFACE
    
    EasyX1.DrawLine HalfScreenWidth - X, Y2, HalfScreenWidth + X, Y2, 150, EX_PRIMARYSURFACE
    EasyX1.DrawLine HalfScreenWidth - X, -Y2 + ScreenHeight, HalfScreenWidth + X, -Y2 + ScreenHeight, 150, EX_PRIMARYSURFACE
    
    
    EasyX1.FlipSurface
    
        
    If Y > HalfScreenHeight Then

        YMinus = True

    ElseIf Y < 0 Then

        YMinus = False

    End If


    If X > HalfScreenWidth Then
        XMinus = True
    ElseIf X < 0 Then
        XMinus = False
    End If

    
    If X2 > ScreenWidth Then X2 = 0
    If Y2 > ScreenHeight Then Y2 = 0
   
    DoEvents
    Sleep 5
        
Loop

Unload Me

End Sub


